## org.gnu.pango
Class Weight

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.pango.Weight

public class Weight
extends Enum

An enumeration specifying the weight (boldness) of a font. This is a numerical value ranging from 100 to 900,

Field Summary
`static Weight` `BOLD`
`static Weight` `HEAVY`
`static Weight` `LIGHT`
`static Weight` `NORMAL`
`static Weight` `ULTRABOLD`
`static Weight` `ULTRALIGHT`

Fields inherited from class org.gnu.glib.Enum
`value_`

Constructor Summary
`Weight(int value)`

Method Summary
`Weight` `and(Weight other)`
`static Weight` `intern(int value)`
`Weight` `or(Weight other)`
`boolean` `test(Weight other)`
`Weight` `xor(Weight other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ULTRALIGHT

    public static final Weight ULTRALIGHT

### LIGHT

    public static final Weight LIGHT

### NORMAL

    public static final Weight NORMAL

### BOLD

    public static final Weight BOLD

### ULTRABOLD

    public static final Weight ULTRABOLD

### HEAVY

    public static final Weight HEAVY

Constructor Detail

### Weight

    public Weight(int value)

Method Detail

### intern

    public static Weight intern(int value)

### or

    public Weight or(Weight other)

### and

    public Weight and(Weight other)

### xor

    public Weight xor(Weight other)

### test

    public boolean test(Weight other)